Add shipments to a batch
curl --request POST \
--url https://api.ship.uniuni.com/prod/client/batch/{batchNumber}/addShipment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shipments": [
"UNI02947917E",
"UNI0114576F0"
]
}
'import requests
url = "https://api.ship.uniuni.com/prod/client/batch/{batchNumber}/addShipment"
payload = { "shipments": ["UNI02947917E", "UNI0114576F0"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({shipments: ['UNI02947917E', 'UNI0114576F0']})
};
fetch('https://api.ship.uniuni.com/prod/client/batch/{batchNumber}/addShipment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Shipments added to batch successfully",
"code": 0,
"data": {
"batchNumber": "URB0714000000000727",
"batchName": "test",
"status": "PENDING",
"printedLabel": false,
"shipmentCount": 2
}
}Batches
Add shipments to a batch
Adds one or more purchased shipments to an existing batch. Each shipment can only belong to one batch — adding a shipment already in another batch moves it.
POST
/
client
/
batch
/
{batchNumber}
/
addShipment
Add shipments to a batch
Each shipment can only belong to one batch. If a shipment is already in another batch, it will be moved to this one.
Authorizations
API access token generated from the UniUni Platform dashboard.
Path Parameters
The unique batch number (e.g. URB0714000000000687).
Body
application/json
List of order numbers.
Was this page helpful?
⌘I